package com.d2v.web.vo;

import java.util.List;
import java.util.Objects;

public class DocKeywordMapVO {
    private String docId;
    private List<String> docIdList;
    private String docName;
    private String docKeyword;

    public String getDocId() {
        return docId;
    }
    public void setDocId(String docId) {
        this.docId = docId;
    }
    public List<String> getDocIdList() {
        return docIdList;
    }
    public void setDocIdList(List<String> docIdList) {
        this.docIdList = docIdList;
    }
    public String getDocName() {
        return docName;
    }
    public void setDocName(String docName) {
        this.docName = docName;
    }
    public String getDocKeyword() {
        return docKeyword;
    }
    public void setDocKeyword(String docKeyword) {
        this.docKeyword = docKeyword;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DocKeywordMapVO that = (DocKeywordMapVO) o;
        return docId.equals(that.docId) &&
                docName.equals(that.docName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(docId, docName);
    }
}
